"""add_scrubbed_recording_model

Revision ID: d714cc86fce8
Revises: 186316d4f3ca
Create Date: 2024-04-29 09:17:04.237108

"""
from alembic import op
import sqlalchemy as sa

from openadapt.models import ForceFloat

# revision identifiers, used by Alembic.
revision = "d714cc86fce8"
down_revision = "186316d4f3ca"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "scrubbed_recording",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column(
            "timestamp",
            ForceFloat(precision=10, scale=2, asdecimal=False),
            nullable=True,
        ),
        sa.Column("recording_id", sa.Integer(), nullable=True),
        sa.Column("provider", sa.String(), nullable=True),
        sa.Column("scrubbed", sa.Boolean(), nullable=True),
        sa.ForeignKeyConstraint(
            ["recording_id"],
            ["recording.id"],
            name=op.f("fk_scrubbed_recording_recording_id_recording"),
        ),
        sa.PrimaryKeyConstraint("id", name=op.f("pk_scrubbed_recording")),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("scrubbed_recording")
    # ### end Alembic commands ###
