"""DateTime timestamp

Revision ID: ec337f277666
Revises: 57d78d23087a
Create Date: 2023-05-16 17:51:00.061604

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "ec337f277666"
down_revision = "57d78d23087a"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("screenshot", schema=None) as batch_op:
        batch_op.create_foreign_key(
            batch_op.f("fk_screenshot_recording_timestamp_recording"),
            "recording",
            ["recording_timestamp"],
            ["timestamp"],
        )

    with op.batch_alter_table("window_event", schema=None) as batch_op:
        batch_op.create_foreign_key(
            batch_op.f("fk_window_event_recording_timestamp_recording"),
            "recording",
            ["recording_timestamp"],
            ["timestamp"],
        )

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("window_event", schema=None) as batch_op:
        batch_op.drop_constraint(
            batch_op.f("fk_window_event_recording_timestamp_recording"),
            type_="foreignkey",
        )

    with op.batch_alter_table("screenshot", schema=None) as batch_op:
        batch_op.drop_constraint(
            batch_op.f("fk_screenshot_recording_timestamp_recording"),
            type_="foreignkey",
        )

    # ### end Alembic commands ###
